你的位置:首页 > 操作系统

[操作系统]Xamarin提示Build


Xamarin提示Build-tools版本过老

错误信息:G:\XamarinDemo\Xamarin.Forms-master\packages\Xamarin.Android.Support.Vector.Drawable.23.3.0\build\Xamarin.Android.Support.Vector.Drawable.targets(40,5): error : An outdated of ‘Android SDK Build-tools’ is in use which this version of Android Support Library does not support.  You must uninstall any ‘Android SDK Build-tools’ versions older than 23.0.0 from the ‘Tools’ section in your ‘Android SDK Manager’
解决办法:
(1)在Android SDK Manager中,卸载老版本的Build-tools。
(2)清理解决方案和项目,然后重新生成。
(3)如果步骤(1)和(2)不解决问题,需要在.csproj文件中,指定Build-tools版本,如下:
< PropertyGroup> <AndroidSdkBuildToolsVersion> 23.0.3 </AndroidSdkBuildToolsVersion> </PropertyGroup>